upgrade 4.X ==> 5.0 with external Mysql DB

Use this forum if you want to discuss a problem or ask a question related to a hMailServer beta release.
Post Reply
Thomas Parvais
Normal user
Normal user
Posts: 111
Joined: 2004-12-17 12:21
Contact:

upgrade 4.X ==> 5.0 with external Mysql DB

Post by Thomas Parvais » 2009-02-02 13:43

Hello

Sorry if this question was already answered somewhere. I tried to find it on all documentation/Faq without success, or answer was not so clear

My Hmailserver 4.X is running on a machine with external Mysql 4.X Database (not internal mysql engine).

If I upgrade to 5.0, will this be ok ? nothing to do to keep existing my existing Mysql DB & tables ?

I read no issue for internal mysql migration, mssql, etc... but nothing for external mysql engine

Thank you

Thomas
Interrested by Law & new technologies ?
Intéressé par le droit de l'internet et des nouvelles technologies ?
Visit/Visitez http://www.droit-technologie.org

User avatar
martin
Developer
Developer
Posts: 6837
Joined: 2003-11-21 01:09
Location: Sweden
Contact:

Re: upgrade 4.X ==> 5.0 with external Mysql DB

Post by martin » 2009-02-02 14:13

Check last topic here:
http://www.hmailserver.com/documentatio ... mendations

I don't understand why people think that the installation program would just change database or anything like that. :)

Thomas Parvais
Normal user
Normal user
Posts: 111
Joined: 2004-12-17 12:21
Contact:

Re: upgrade 4.X ==> 5.0 with external Mysql DB

Post by Thomas Parvais » 2009-02-02 14:28

martin wrote:Check last topic here:
http://www.hmailserver.com/documentatio ... mendations

I don't understand why people think that the installation program would just change database or anything like that. :)

tx, and by the way, I'm going to change my glasses ;-)
Interrested by Law & new technologies ?
Intéressé par le droit de l'internet et des nouvelles technologies ?
Visit/Visitez http://www.droit-technologie.org

User avatar
martin
Developer
Developer
Posts: 6837
Joined: 2003-11-21 01:09
Location: Sweden
Contact:

Re: upgrade 4.X ==> 5.0 with external Mysql DB

Post by martin » 2009-02-02 14:29

No need to, I wrote that text after you made your post.

I just don't understand why everyone asks for it. It's not like it's standard procedure for an upgrade tool to ditch all your old data. Then it wouldn't really be an upgrade. :)

Post Reply